import * as i0 from "@angular/core";
export declare class ScriptLoaderService {
    private scriptsLoaded;
    private embeddedScripts;
    constructor();
    embedAllScripts(): void;
    embedScripts(names: string[]): void;
    embedScript(name: string): void;
    loadScript(url: string): Promise<void>;
    private loadEmbeddedScript;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScriptLoaderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScriptLoaderService>;
}
